Overview | Modules | Class Hierarchy | Classes | Members

# tlp Namespace Reference

## Detailed Description

Author: Morgan Mathiaut Email : mathiaut@labri.fr Last modification : 23/10/2007 This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

## Classes

- class Camera
- class EdgeExtremityGlyphContext
- class EdgeExtremityGlyph
- class EdgeExtremityGlyphFactory
- class EdgeExtremityGlyphFrom3DGlyph
- class EdgeExtremityGlyphFrom2DGlyph
- class EdgeExtremityGlyphManager
- class FastBezier
- class GlAxis
    A base class to draw an axis with graduations. More...
- class GlBezierCurve
- class GlBox
    General class used to render boxes as GlEntity. More...
- class GlCatmullRomCurve
- class GlCircle
    General class used to render circles as GlEntity. More...
- class GlColorScale
- class GlComplexeEntity
    Virtual class used by GlNode, GlMetaNode and GlEdge. More...
- class GlComplexPolygon
- class GlComposite
    GlSimpleEntity used to agregate other GlEntity. More...
- class GlConvexHull
    Class used to represent ConvexHull. More...
- struct ConvexHullItem
- class GlCurve
    This class is use to display an OpenGl curve. More...
- class GlDisplayListManager
    Singleton used to manage OpenGl display list. More...
- class GlDrawSceneVisitor
- class GlEntity
- class GlewManager
    Singleton used to manage Glew. More...
- struct _FeedBack3Dcolor
- struct _DepthIndex
- class GlFeedBackBuilder
- class GlFeedBackRecorder
    Class use to build an object with an OpenGL feedback buffer. More...
- class GlGraphComposite
    Class use to represent a graph. More...
- class LessThanNode
- class LessThanEdge
- class GlGraphRenderingParameters
- class GlGrid
    General class used to render grids as augmented displays. More...
- class GlHierarchyConvexHulls
- class GlLabel
- class GlLayer
- class GlMetaNodeRenderer
- class GlMetaNodeTrueRenderer
- class GlMultiPolygon
- class GlNominativeAxis
    A class to render an axis graduated with string values. More...
- class GlPointManager
    Singleton used to manage Glew. More...
- class GlPolygon
- class GlPolyQuad
    General class used to render a connected group of quadrilaterals (textured or not) that shares edges as GlEntity. More...
- class GlProgressBar
- class GlQuad
    General class to render quads as augmented displays. More...
- class GlQuantitativeAxis
    A class to render an axis graduated with numerical values for a given range. More...
- class GlRect
    This is a general class for the rendering of 2D rectangles. More...
- class GlRectTextured
- struct EntityWithDistance
- class GlScene
- class GlSceneObserver
    An observer to the scene An observer to the scene who observe layers. More...
- class GlObservableScene
- class GlSceneVisitor
- class GlSelectSceneVisitor
- class GlShaderManager
- class GlShaderProgram
- class GlSimpleEntity
- class GlSphere
- struct GlTexture
- class GlTextureManager
    Class to manage textures Singleton class to load/store textures need by OpenGL rendering. More...
- class GlTLPFeedBackBuilder

## Typedefs

- typedef Matrix< float, 4 > MatrixGL
- typedef tlp::_FeedBack3Dcolor Feedback3Dcolor
- typedef tlp::_DepthIndex DepthIndex

## Enumerations

- enum SelectionFlag { SelectSimpleEntities = 1, SelectNodes = 2, SelectEdges = 4 }
- enum TLP_FB_TROUGHTOKENTYPE {
  TLP_FB_COLOR_INFO, TLP_FB_BEGIN_ENTITY, TLP_FB_END_ENTITY, TLP_FB_BEGIN_GRAPH,
  TLP_FB_END_GRAPH, TLP_FB_BEGIN_NODE, TLP_FB_END_NODE, TLP_FB_BEGIN_EDGE,
  TLP_FB_END_EDGE
  }

## Functions

- TLP_GL_SCOPE GpuGraph * genGpuGraph (const tlp::Graph &graph)
- TLP_GL_SCOPE GpuProperty * genGpuProperty (tlp::BooleanProperty &property, const tlp::Graph &graph, GpuValueType type=NODE_VALUES, bool outputOnly=false)
- TLP_GL_SCOPE GpuProperty * genGpuProperty (tlp::ColorProperty &property, const tlp::Graph &graph, GpuValueType type=NODE_VALUES, bool outputOnly=false)
- TLP_GL_SCOPE GpuProperty * genGpuProperty (tlp::DoubleProperty &property, const tlp::Graph &graph, GpuValueType type=NODE_VALUES, bool outputOnly=false)
- TLP_GL_SCOPE GpuProperty * genGpuProperty (tlp::IntegerProperty &property, const tlp::Graph &graph, GpuValueType type=NODE_VALUES, bool outputOnly=false)
- TLP_GL_SCOPE GpuProperty * genGpuProperty (tlp::LayoutProperty &property, const tlp::Graph &graph, bool outputOnly=false)
- TLP_GL_SCOPE GpuProperty * genGpuProperty (tlp::SizeProperty &property, const tlp::Graph &graph, GpuValueType type=NODE_VALUES, bool outputOnly=false)
- TLP_GL_SCOPE bool setGpuParameter (const std::string &pName, const tlp::Color &val)
- TLP_GL_SCOPE bool setGpuParameter (const std::string &pName, const tlp::Coord &val)
- TLP_GL_SCOPE bool setGpuParameter (const std::string &pName, const tlp::Size &val)
- TLP_GL_SCOPE bool getGpuOutPropertyValues (tlp::BooleanProperty &prop, const tlp::Graph &)
- TLP_GL_SCOPE bool getGpuOutPropertyValues (tlp::ColorProperty &prop, const tlp::Graph &)
- TLP_GL_SCOPE bool getGpuOutPropertyValues (tlp::DoubleProperty &prop, const tlp::Graph &)
- TLP_GL_SCOPE bool getGpuOutPropertyValues (tlp::IntegerProperty &prop, const tlp::Graph &)
- TLP_GL_SCOPE bool getGpuOutPropertyValues (tlp::LayoutProperty &prop, const tlp::Graph &)
- TLP_GL_SCOPE bool getGpuOutPropertyValues (tlp::SizeProperty &prop, const tlp::Graph &)

## Variables

- TLP_GL_SCOPE GlShaderProgram

## Typedef Documentation

typedef struct tlp::_DepthIndex tlp::DepthIndex

typedef struct tlp::_FeedBack3Dcolor tlp::Feedback3Dcolor

typedef Matrix<float, 4> tlp::MatrixGL

## Enumeration Type Documentation

enum tlp::SelectionFlag

Enumerator:

  SelectSimpleEntities |
  SelectNodes |
  SelectEdges |

enum tlp::TLP_FB_TROUGHTOKENTYPE

Enumerator:

  TLP_FB_COLOR_INFO |
  TLP_FB_BEGIN_ENTITY |
  TLP_FB_END_ENTITY |
  TLP_FB_BEGIN_GRAPH |
  TLP_FB_END_GRAPH |
  TLP_FB_BEGIN_NODE |
  TLP_FB_END_NODE |
  TLP_FB_BEGIN_EDGE |
  TLP_FB_END_EDGE |

## Function Documentation

TLP_GL_SCOPE GpuGraph* tlp::genGpuGraph | ( | const tlp::Graph & | graph | ) |

TLP_GL_SCOPE GpuProperty* tlp::genGpuProperty | ( | tlp::SizeProperty & | property,
|  | const tlp::Graph & | graph,
|  | GpuValueType | type = `NODE_VALUES`,
|  | bool | outputOnly = `false`
| ) |

TLP_GL_SCOPE GpuProperty* tlp::genGpuProperty | ( | tlp::LayoutProperty & | property,
|  | const tlp::Graph & | graph,
|  | bool | outputOnly = `false`
| ) |

TLP_GL_SCOPE GpuProperty* tlp::genGpuProperty | ( | tlp::IntegerProperty & | property,
|  | const tlp::Graph & | graph,
|  | GpuValueType | type = `NODE_VALUES`,
|  | bool | outputOnly = `false`
| ) |

TLP_GL_SCOPE GpuProperty* tlp::genGpuProperty | ( | tlp::DoubleProperty & | property,
|  | const tlp::Graph & | graph,
|  | GpuValueType | type = `NODE_VALUES`,
|  | bool | outputOnly = `false`
| ) |

TLP_GL_SCOPE GpuProperty* tlp::genGpuProperty | ( | tlp::ColorProperty & | property,
|  | const tlp::Graph & | graph,
|  | GpuValueType | type = `NODE_VALUES`,
|  | bool | outputOnly = `false`
| ) |

TLP_GL_SCOPE GpuProperty* tlp::genGpuProperty | ( | tlp::BooleanProperty & | property,
|  | const tlp::Graph & | graph,
|  | GpuValueType | type = `NODE_VALUES`,
|  | bool | outputOnly = `false`
| ) |

TLP_GL_SCOPE bool tlp::getGpuOutPropertyValues | ( | tlp::SizeProperty & | prop,
|  | const tlp::Graph & |
| ) |

TLP_GL_SCOPE bool tlp::getGpuOutPropertyValues | ( | tlp::LayoutProperty & | prop,
|  | const tlp::Graph & |
| ) |

TLP_GL_SCOPE bool tlp::getGpuOutPropertyValues | ( | tlp::IntegerProperty & | prop,
|  | const tlp::Graph & |
| ) |

TLP_GL_SCOPE bool tlp::getGpuOutPropertyValues | ( | tlp::DoubleProperty & | prop,
|  | const tlp::Graph & |
| ) |

TLP_GL_SCOPE bool tlp::getGpuOutPropertyValues | ( | tlp::ColorProperty & | prop,
|  | const tlp::Graph & |
| ) |

TLP_GL_SCOPE bool tlp::getGpuOutPropertyValues | ( | tlp::BooleanProperty & | prop,
|  | const tlp::Graph & |
| ) |

TLP_GL_SCOPE bool tlp::setGpuParameter | ( | const std::string & | pName,
|  | const tlp::Size & | val
| ) |

TLP_GL_SCOPE bool tlp::setGpuParameter | ( | const std::string & | pName,
|  | const tlp::Coord & | val
| ) |

TLP_GL_SCOPE bool tlp::setGpuParameter | ( | const std::string & | pName,
|  | const tlp::Color & | val
| ) |

## Variable Documentation

class TLP_GL_SCOPE tlp::GlShaderProgram

Tulip Software by LaBRI Visualization Team 2001 - 2010